Summary: IBM Cloud Private AIX worker node
Name: icp-worker
Version: 2.1.0.3
Release: 1
License: ASL 2.0

Source: icp-worker-2.1.0.3.tar.gz

Group: Applications/System

Requires: kubernetes-node = 1.10.0
Requires: kubectl = 1.10.0
Requires: calico-cni = 2.0.3
Requires: calico-node = 3.0.4
Requires: criwpar = 0.1.0

%description
IBM Cloud Private 2.1.0.3 AIX worker node.

%post
mkssys -p /opt/freeware/bin/kubeletsrc -s kubelet -u 0 -e /dev/null -i /dev/null -o /dev/null -R -Q -S -f 9 -n 15 -E 20 -d -w 20 -G kube-system
exit 0

%preun
stopsrc -s kubelet
exit 0

%postun
rmssys -s kubelet
exit 0

%prep

%setup -q

%build

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/kubernetes
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_datadir}/kubernetes Skube
/usr/bin/install -M 0644 -f ${RPM_BUILD_ROOT}%{_datadir}/kubernetes kube-proxy.json.tmpl
/usr/bin/install -M 0644 -f ${RPM_BUILD_ROOT}%{_datadir}/kubernetes calico-node-aix.yaml.tmpl
/usr/bin/install -M 0644 -f ${RPM_BUILD_ROOT}%{_datadir}/kubernetes logging-elk-filebeat-ds-aix.yaml.tmpl
mkdir -p ${RPM_BUILD_ROOT}/var/run/calico
mkdir -p ${RPM_BUILD_ROOT}/etc/cfc/pods
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_bindir} kubeletsrc
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_bindir} k8s-setup.sh
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_bindir} k8s-setup-ds.sh

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%dir /var/run/calico
%dir /etc/cfc/pods
%{_datadir}/kubernetes/Skube
%{_datadir}/kubernetes/kube-proxy.json.tmpl
%{_datadir}/kubernetes/calico-node-aix.yaml.tmpl
%{_datadir}/kubernetes/logging-elk-filebeat-ds-aix.yaml.tmpl
%{_bindir}/k8s-setup.sh
%{_bindir}/k8s-setup-ds.sh
%{_bindir}/kubeletsrc

%changelog
* Tue Aug 21 2018 Damien Bergamini - 2.1.0.3-1
- Initial release of icp-worker for AIX
